<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Suspect.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="iddealer"
                                 baseTableName="suspect"
                                 constraintName="fk_suspect_dealer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idaddress"
                                 baseTableName="suspect"
                                 constraintName="fk_suspect_postal_address_id"
                                 referencedColumnNames="idcontact"
                                 referencedTableName="postal_address"/>

        <addForeignKeyConstraint baseColumnNames="idparty"
                                 baseTableName="suspect"
                                 constraintName="fk_suspect_person_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="person"/>

        <addForeignKeyConstraint baseColumnNames="idsalescoordinator"
                                 baseTableName="suspect"
                                 constraintName="fk_suspect_sales_coordinator_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="salesman"/>

        <addForeignKeyConstraint baseColumnNames="idsalesman"
                                 baseTableName="suspect"
                                 constraintName="fk_suspect_salesman_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="salesman"/>

    </changeSet>
</databaseChangeLog>
